org.apache.poi.xssf.usermodel

## Class XSSFConnector

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFShape
  - - org.apache.poi.xssf.usermodel.XSSFConnector

- All Implemented Interfaces:
    Shape

      public final class XSSFConnector
      extends XSSFShape

  A connection shape drawing element. A connection shape is a line, etc. that connects two other shapes in this drawing.
  Author:
    Yegor Kozlov

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xssf.usermodel.XSSFShape

      `anchor, drawing, parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFConnector(XSSFDrawing drawing, org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector ctShape)` Construct a new XSSFConnector object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector` | `getCTConnector()`
    `java.lang.String` | `getShapeName()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getShapeProperties()` Returns xml bean with shape properties.
    `int` | `getShapeType()` Gets the shape type, one of the constants defined in `ShapeTypes`.
    `protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector` | `prototype()` Initialize default structure of a new auto-shape
    `void` | `setShapeType(int type)` Sets the shape types.

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.XSSFShape

      `getAnchor, getDrawing, getParent, isNoFill, setFillColor, setLineStyle, setLineStyleColor, setLineWidth, setNoFill`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFConnector

          protected XSSFConnector(XSSFDrawing drawing,
                                  org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector ctShape)

      Construct a new XSSFConnector object.
      Parameters:
        `drawing` - the XSSFDrawing that owns this shape
        `ctShape` - the shape bean that holds all the shape properties

  - ### Method Detail

    - #### prototype

          protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector prototype()

      Initialize default structure of a new auto-shape

    - #### getCTConnector

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector getCTConnector()

    - #### getShapeType

          public int getShapeType()

      Gets the shape type, one of the constants defined in `ShapeTypes`.
      Returns:
        the shape type
      See Also:
        `ShapeTypes`

    - #### setShapeType

          public void setShapeType(int type)

      Sets the shape types.
      Parameters:
        `type` - the shape type, one of the constants defined in `ShapeTypes`.
      See Also:
        `ShapeTypes`

    - #### getShapeProperties

          protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getShapeProperties()

      Description copied from class: `XSSFShape`
      Returns xml bean with shape properties.
      Specified by:
        `getShapeProperties` in class `XSSFShape`
      Returns:
        xml bean with shape properties.

    - #### getShapeName

          public java.lang.String getShapeName()

      Returns:
        the name of this shape

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.